gtk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Container A GtkMenuShell is the abstract base class used to derive the GtkMenu and GtkMenuBar subclasses.

A is a container of objects arranged in a list which can be navigated, selected, and activated by the user to perform application functions. A can have a submenu associated with it, allowing for nested hierarchical menus.

- Constructor
  Protected constructor.
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Event
  GLib.Signal("activate-current")
  Gtk.ActivateCurrentHandler An action signal that activates the current menu item within the menu shell.
- Method
  System.Void `` `` The to activate. If , force the deactivation of the menu shell after the menu item is activated. Activates the menu item within the menu shell.

  Activates the menu item within the menu shell.

- Method
  System.Void `` The to add. Adds a new to the end of the menu shell's item list.

  Adds a new to the end of the menu shell's item list.

- Method
  System.Void Emits the Canceled event.
- Event
  GLib.Signal("cancel")
  System.EventHandler An action signal which cancels the selection within the menu shell.Causes the signal to be emitted.
- Event
  GLib.Signal("cycle-focus")
  Gtk.CycleFocusHandler To be added. To be added.
- Method
  System.Void Deactivates the menu shell.

  Typically this results in the menu shell being erased from the screen.

- Event
  GLib.Signal("deactivate")
  System.EventHandler This signal is emitted when a menu shell is deactivated.
- Method
  System.Void Deselects the currently selected item from the menu shell, if any.

  Deselects the currently selected item from the menu shell, if any.

- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` `` The to add. The position in the item list where is added. Positions are numbered from 0 to n-1. Adds a new to the menu shell's item list at the position indicated by .

  Adds a new to the menu shell's item list at the position indicated by position.

- Event
  GLib.Signal("move-current")
  Gtk.MoveCurrentHandler An action signal which moves the current menu item in the direction specified by .
- Event
  GLib.Signal("move-selected")
  Gtk.MoveSelectedHandler To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideActivateCurrent", Type=typeof(Gtk.MenuShell))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCanceled", Type=typeof(Gtk.MenuShell))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCycleFocus", Type=typeof(Gtk.MenuShell))
  System.Void `` To be added. Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDeactivated", Type=typeof(Gtk.MenuShell))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetPopupDelay", Type=typeof(Gtk.MenuShell))
  System.Int32 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideInsert", Type=typeof(Gtk.MenuShell))
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMoveCurrent", Type=typeof(Gtk.MenuShell))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMoveSelected", Type=typeof(Gtk.MenuShell))
  System.Boolean `` To be added. Default handler for the event. To be added. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSelectionDone", Type=typeof(Gtk.MenuShell))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSelectItem", Type=typeof(Gtk.MenuShell))
  System.Void `` To be added. To be added. To be added.
- Property
  Gtk.Widget To be added. To be added. To be added.
- Method
  System.Void `` The to add. Adds a new to the beginning of the menu shell's item list. Activates the menu item within the menu shell.

  Adds a new to the beginning of the menu shell's item list.

- Property
  Gtk.Widget To be added. To be added. To be added.
- Method
  System.Void `` a Select the first visible or selectable child of the menu shell; don't select tearoff items unless the only item is a tearoff item. If is true, search for the first selectable menu item, otherwise select nothing if the first item isn't sensitive. This should be false if the menu is being popped up initially.
- Event
  GLib.Signal("selection-done")
  System.EventHandler This signal is emitted when a selection has been completed within a menu shell.
- Method
  System.Void `` The to select. Selects the menu item from the menu shell.

  Selects the menu item from the menu shell.

- Property
  GLib.Property("take-focus")
  System.Boolean Indicates if the keyboard focus should be grabbed when active. if the keyboard focus is taken when active. By default, this is true. Setting to false can have unexpected side effects and in general should only be done with menus that don't contain mnemonics.